Subject: bug#7348: 23.2.50; Emacs crashes on fast window resize with scrollbars on under OSX

From: martin rudalics <[email-masked]>
Date: Tue, 09 Nov 2010 18:52:48 +0100

> On second thought, perhaps we should simply goto retry after this
 > second call.  I don't believe we could hit an infloop, since the
 > offending window was already deleted.  WDYT?

And the set of Emacs windows is finite, IIRC.  But redisplay_internal is
so convoluted that you never know.

In any case it seems to me the most reasonable thing to do.

 >> In my branch I try to avoid that frame size changes may delete the
 >> selected window.
 >
 > How can you do that in general?  What will the window display like?

When I change a frame's size I have two cases: If I can accomodate all
of its windows, I shrink them.  If I can't accomodate all of them, I
make the frame's selected window the frame's root window, deleting all
other windows.

martin